<template>
    <div class="section">
        <div class="field" v-for="input in responseData.schema">
            <label class="label">{{input.name}}</label>
            <div class="control">
                <input
                        :name="input.name"
                        v-if="input.tag === 'input'"
                        v-validate="input.rules"
                        :class="{'input': true, 'is-danger': errors.has(input.name) }"
                        :type="input.tagType"
                        :placeholder="'Please set ' + input.name"
                        v-model="responseData.data[input.name]"
                >
                <i v-show="errors.has(input.name)" class="fa fa-warning"></i>
                <span v-show="errors.has(input.name)" class="help is-danger">{{ errors.first(input.name) }}</span>

                <textarea
                        :name="input.name"
                        v-if="input.tag === 'textarea'"
                        class="textarea"
                        :placeholder="'Please set ' + input.name"
                        :value="responseData.data[input.name]"
                ></textarea>
            </div>
        </div>
        <button v-on:click="storeChanges" class="button is-success">Store</button>
    </div>
</template>
<script src="./script.js"></script>